Subject: Re: [X2Go-Dev] Bug#276: Bug#276: Bug#276: qt/kde applications does not work as root.

From: Mike Gabriel <[email-masked]>
Date: Wed, 31 Jul 2013 12:22:06 +0200

Hi Morty,

On Mi 31 Jul 2013 11:47:40 CEST Moritz Struebe wrote:

> On 2013-07-31 10:33, Pascal d'Hermilly wrote:
>>
>> Actually mine broke again, because I apparently didn't use visudo.
>> Anyway, I made a 3-step guide for getting it to work. This time I
>> tested after a restart ;-)
>> Do as root:
>>
>> echo "Defaults        env_keep +=\"QT_GRAPHICSSYSTEM\"" >
>> /etc/sudoers.d/X2Go
>> chmod 0440 /etc/sudoers.d/X2Go
>> service sudo restart
>
> Could you put that on the wiki?

I plan to add such a sudoers.d/x2goserver file in the next release of  
X2Go server.

No need for the wiki page.
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb